Page MenuHomePhabricator

Clicking "edit" for a graph of unsupported type crashes VisualEditor
Closed, ResolvedPublic1 Story Points

Description

If one is editing a page in VisualEditor, and one clicks on a graph that has a type such as "treemap", and then clicks on the "Edit" button to edit the graph, VisualEditor mostly stops working.

Scrolling is no longer possible, the "Save page" button no longer works, "Insert media", "Insert template", and "Insert code block" don't work, the undo/redo buttons neither work nor even update appearance, "Options", "Page settings", etc. no longer work. Things that do still work include basic typing, bolding/italics/other formatting, and links.

The error message is "Uncaught TypeError: Cannot convert undefined or null to object" (from ve.dm.MWGraphModel.getPipelineFields).

Event Timeline

Yair_rand created this task.Feb 4 2016, 2:21 AM
Yair_rand raised the priority of this task from to Needs Triage.
Yair_rand updated the task description. (Show Details)
Yair_rand added projects: VisualEditor, Graphs.
Yair_rand added a subscriber: Yair_rand.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptFeb 4 2016, 2:21 AM
Jdforrester-WMF triaged this task as High priority.
Jdforrester-WMF set Security to None.
Jdforrester-WMF edited a custom field.
Jdforrester-WMF moved this task from To Triage to TR0: Interrupt on the VisualEditor board.
Yurik moved this task from Backlog to VisualEditor on the Graphs board.Feb 22 2016, 5:04 AM

I'm not able to reproduce this issue on my end, but treemap not being in the Vega2 mark documentation gives me the impression that this stopped being supported in Vega2.

If no one else can confirm that this issue still happens, then it was probably resolved when we upgraded ve-graph to Vega2.

Jdforrester-WMF closed this task as Resolved.Apr 8 2016, 8:29 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Seems reasonable.